Kerbal Space Program - Bug #6006

MultiModeEngine and actions on the engine modules
12/01/2015 06:01 PM - Alchemist

Status: Closed Start date: 12/01/2015
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.1.3

Version: 1.0.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Reproduction: create any craft with RAPIER. Then open the .craft file or open the .sfs file (after launching the craft) with any text
editor and find the RAPIER part.

Note that on the primary ModuleEnginesFX all actions have active = False, however on the secondary ModuleEnginesFX this isn't
added. This happens no matter which mode is actually active.

While not really breaking anything at least for now in the stock game(the action groups still correctly land on MultiModeEngine, and
even if you edit the file to add an action group to the secondary mode, it still won't trigger while the RAPIER is in primary mode), it
looks like something that would be supposed to happen for both engine modules, but misses one of them for some reason (hits the
same module both times?)

History

#1-07/17/2016 09:41 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/17/2016 07:58 PM - Alchemist

- Target version setto 1.1.3

still present as of 1.1.3.
here's a relevant bit of the persistence file. Note that the actions are really disabled only on one of the engine modules:
PART

name = RAPIER
L0002
MODULE
{
name = MultiModeEngine
isEnabled = True
runningPrimary = True
autoSwitch = False
stagingEnabled = True
EVENTS
{
< Lu>
}
ACTIONS
{
ModeAction
{
actionGroup = CustomOl
}
ShutdownAction
{
actionGroup = Custom02
}
ActivateAction
{
actionGroup = Custom03

}
OnAction

{

actionGroup = Custom04

MODULE

name = ModuleEnginesFX
isEnabled = True
staged = False
flameout = False
EnginelIgnited = False
engineShutdown = False
currentThrottle = 0
thrustPercentage = 100
manuallyOverridden = False
stagingEnabled = True
thrustPercentage_UIFlight
{
controlEnabled = True
minValue = 0
maxValue = 100
stepIncrement = 0.5
}
EVENTS
{

}
ACTIONS
{
OnAction
{
actionGroup = None
active = False
}
ShutdownAction
{
actionGroup = None
active = False
}
ActivateAction
{
actionGroup = None
active = False

MODULE

name = ModuleEnginesFX
isEnabled = False
staged = False
flameout = False
EnginelIgnited = False
engineShutdown = False
currentThrottle = 0
thrustPercentage = 100
manuallyOverridden = True
stagingEnabled = True
thrustPercentage_UIFlight
{
controlEnabled = True
minValue = 0
maxValue = 100
stepIncrement = 0.5
}
EVENTS
{

}
ACTIONS

{
OnAction

{
actionGroup = None
}
ShutdownAction

{

actionGroup = None
}
ActivateAction

{

actionGroup None

#3 - 07/17/2016 07:59 PM - Alchemist
- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

#4 - 07/18/2016 03:49 AM - TriggerAu

Thanks again Alchemist

#5 - 02/28/2018 12:47 AM - Squelch
- Status changed from Updated to Closed
- % Done changed from 10 to 100
